package ch.fritteli.gombaila.domain.common;

import io.vavr.control.Option;
import org.jetbrains.annotations.NotNull;

public record Token(@NotNull TokenType type, @NotNull Option<Object> value, int line, int column) {
    public Token(@NotNull final TokenType type, final int line, final int column) {
        this(type, Option.none(), line, column);
    }
}
