package ch.fritteli.gombaila.domain;

import ch.fritteli.gombaila.ElementWalker;
import io.vavr.collection.Seq;
import org.jetbrains.annotations.NotNull;

public class SeqWalker<E> extends ElementWalker<Seq<E>, E> {
    public SeqWalker(@NotNull final Seq<E> seq) {
        super(
                seq,
                (back, index) -> index < back.length(),
                Seq::get
        );
    }
}
